<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Alternatives and related programs</h1>

<ul>
<li> <a href="https://www.adacore.com/sparkpro">Ada SPARK Pro</a>
  is a formally verified subset of the Ada programming language
  (tagline: <i>"You simply can't write better code"</i>).

<li> <a href="https://lamport.azurewebsites.net/tla/tla.html">TLA+</a>
  is useful for proving distributed systems over time.

<li> <a href="http://why3.lri.fr">Why3 / WhyML</a>
  can be used for constructive proofs.

<li> <a href="http://compcert.inria.fr/">CompCert</a>
  is INRIA's verified C compiler (not open source).

<li> <a href="https://gitlab.mpi-sws.org/iris/refinedc">RefinedC</a>
</ul>
